%define major 1
%define libname %mklibname enchant %{major}
%define develname %mklibname enchant -d

Summary:	An enchanting spell checking library
Summary(de):	Ein bezaubernde Sammlung von Rechtschreibprüfungen
Name:		enchant
Version:	1.6.1
Release:	%mkrel 2
License:	LGPL
Group:		System/Libraries
URL:		http://www.abisource.com/enchant/
Source0:	http://www.abisource.com/downloads/enchant/%{version}/%{name}-%{version}.tar.xz
Patch0:		enchant-1.6.0-add-more-myspell-dicts-dirs.patch
Patch1:		hunspell-1.4.0-has-no-limit.patch
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	aspell-devel
BuildRequires:	pkgconfig
BuildRequires:	hspell-devel
BuildRequires:	voikko-devel
BuildRequires:	hunspell-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: 	%name < %version


%description
A library that wraps other spell checking backends.

#german
%description -l de
Die Bibliothek für Rechtschreibprüfungen...


%package -n	%{libname}
Summary:	Libraries for enchant
Summary(de):	Bibliothek für Enchant
Group:		System/Libraries
Requires:	%{name} = %{version}
Obsoletes:	%{libname} < %version

%description -n	%{libname}
This package provides the libraries for using enchant.

#german
%description -n	%{libname} -l de
Das Paket bietet die Bibliotheken für das Nutzen von Enchant.



%package -n %{develname}
Summary:	Libraries and include files for developing with enchant
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{mklibname enchant 1}-devel = %{version}-%{release}
Obsoletes:	%{mklibname enchant 1}-devel

%description -n	%{develname}
This package provides the necessary development libraries and include
files to allow you to develop with enchant.

#german
%description -n	%{develname} -l de
Das Paket enthält die benötigten Entwickler Bibliotheken und Include 
Dateien zum entwickeln mit Enchant.

%prep

%setup -q
%apply_patches


%build

%configure2_5x \
	--disable-static \
	--with-system-myspell=yes \
	--enable-zemberek="yes" \
	--disable-ispell --disable-aspell --disable-uspell --disable-hspell \
	--with-myspell-dir=%{_datadir}/hunspell

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

rm -f %{buildroot}/%{_libdir}/*.la
rm -f %{buildroot}/%{_libdir}/enchant/*.la

%find_lang %name


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB HACKING README TODO
%{_bindir}/*
%{_datadir}/enchant
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*
%dir %{_libdir}/enchant
%{_libdir}/enchant/lib*.so*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/lib*.so

%{_libdir}/pkgconfig/enchant.pc
%dir %{_includedir}/enchant
%{_includedir}/enchant/*

%changelog
* Sat Mar 02 2019 tex - 1.6.1-2pclos2019
- rebuild against updates

* Sat Feb 16 2019 tex - 1.6.1-1pclos2019
- new

* Wed Feb 13 2019 tex - 1.6.0-4pclos2019
- rebuild against updates

* Sat Jun 20 2015 ghostbunny <ghostbunny at gmx dot de> 1.6.0-3pclos2015
- rebuild against new hunspell version
- add missing BR hunspell-devel

* Tue Nov 05 2013 billybot <billybot> 1.6.0-2pclos2013
- rebuild for new pcre
- remove .la files
- remove uneeded postscripts
